<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.1.0" name="org.osbp.mysmartshop.dtos.mapper.baseuuiddtomapper">
       <implementation class="org.osbp.mysmartshop.dtos.mapper.BaseUUIDDtoMapper"/>
       <service>
		<provide interface="org.eclipse.osbp.dsl.dto.lib.IMapper"/>
		  </service>
		  
		<property name="fordto.from.entity" type="String" value="org.osbp.mysmartshop.entities.BaseUUID"/>
		<property name="fordto.to.dto" type="String" value="org.osbp.mysmartshop.dtos.BaseUUIDDto"/>

		<property name="forentity.from.dto" type="String" value="org.osbp.mysmartshop.dtos.BaseUUIDDto"/>
		<property name="forentity.to.entity" type="String" value="org.osbp.mysmartshop.entities.BaseUUID"/>
		
		<property name="service.pid" type="String" value="org.osbp.mysmartshop.dtos.mapper.baseuuiddtomapper"/>
		<reference name="mapperAccess" interface="org.eclipse.osbp.dsl.dto.lib.IMapperAccess" 
				cardinality="1..1" policy="static" bind="bindMapperAccess" unbind="unbindMapperAccess"/>
</scr:component>
